Query Information of a Phonebook
Query the detailed information of a phonebook.
Request URL
GET {base_url}/{api_path}/phonebook/get?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of the phonebook. Note: You can query the phonebook's ID using Search Specific Phonebooks. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| data | Object<Phonebook_DetailInfo> | The list of the phonebook's detailed information. |
Phonebook_DetailInfo
| Parameter | Type | Description |
|---|---|---|
| id | Integer | Phonebook ID. |
| name | String | Phonebook name. |
| member_select | String | The member selection method.
|
| contacts_list | Array<Contacts_List> | The list of company contact's information. |
| total | Integer | The total of company contacts contained in the phonebook. |
Contacts_List
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the company contact. |
| contact_name | String | The name of the company contact. |
| company | String | Company. |
| String | Email address. | |
| business | String | Business number. |
| business2 | String | Business number 2. |
| mobile | String | Mobile number. |
| mobile2 | String | Mobile number 2. |
| home | String | Home number. |
| home2 | String | Home number 2. |
| home_fax | String | Home fax. |
| business_fax | String | Business fax. |
| other | String | Other number. |
| remark | String | Remark. |
Examples
Request example
GET /openapi/v1.0/phonebook/get?id=5&access_token=go18MODkNUAOReyKCnKzm6HEr6qTD1Pq HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": {
"id": 5,
"name": "Vendor",
"member_select": "sel_specific",
"contacts_list": [
{
"id": 3,
"contact_name": "Joseph Goffin",
"company": "Ticketsales",
"email": "joseph@gmail.com",
"business": "12354978652"
},
{
"id": 4,
"contact_name": "Jay Prichett",
"company": "Closet",
"email": "jayprichett@icloud.com",
"business": "001-5503308",
"mobile": "15735810000"
},
{
"id": 8,
"contact_name": "Test BCS",
"company": "Cloud One",
"email": "test@icloud.com",
"business": "12333333",
"remark": "contact_for_test"
},
{
"id": 10,
"contact_name": "BCS",
"company": "Cloud One",
"email": "test@icloud.com",
"business": "5503301",
"remark": "contact_for_test"
},
{
"id": 11,
"contact_name": "Example Li",
"company": "Cloud One",
"email": "liexample@icloud.com",
"business": "12333333",
"remark": "contact_for_test"
},
{
"id": 29,
"contact_name": "Test-contact",
"business": "55667788"
},
{
"id": 30,
"contact_name": "Test-contact2",
"business": "9910101111"
},
{
"id": 32,
"contact_name": "Test-contact3",
"company": "Cloud One",
"email": "testcontact@126.com",
"business": "1235555999"
}
],
"total": 8
}
}